| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
edhoc_session_t Struct Reference

`#include <packet-edhoc.h>`

## Public Attributes
edhoc_state_t * | parent
| The parent protocol state.
uint64_t | sess_idx
| The session index within the state, starting at zero.
bool | seen_msg1
| True if message 1 has been seen.
uint32_t | frame_msg1
| The frame of message 1 if seen_msg1 is true.
bool | seen_msg2
| True if message 2 has been seen.
uint32_t | frame_msg2
| The frame of message 2 if seen_msg2 is true.
bool | seen_msg3
| True if message 3 has been seen.
uint32_t | frame_msg3
| The frame of message 3 if seen_msg3 is true.
bool | seen_msg4
| True if message 4 has been seen.
uint32_t | frame_msg4
| The frame of message 4 if seen_msg4 is true.
bool | seen_error
| True if an EDHOC error message has been seen so far.
uint32_t | frame_error
| The frame of the first error if seen_error is true.
int64_t | method
| The selected method from message 1.
int64_t | suite
| The selected cipher suite from message 1.
const struct edhoc_cs_s * | found_cs
| Lookup into a static table for suite.
const cose_aead_props_t * | aead_props
| Lookup into COSE table for AEAD properties.
const cose_hash_props_t * | hash_props
| Lookup into COSE table for hash properties.
const cose_ecc_props_t * | ecc_props
| Lookup into COSE table for ECC properties.
GBytes * | gx_data
| Pointer to extracted message 1 G_X owned by this session.
GBytes * | prk_2e
| Pointer to external keyfile PRK data.
GBytes * | prk_3e2m
| Pointer to external keyfile PRK data.
GBytes * | prk_4e3m
| Pointer to external keyfile PRK data.
GBytes * | prk_out
| Pointer to derived data owned by this session.
GBytes * | prk_exporter
| Pointer to derived data owned by this session.

## Detailed Description

State of a session across multiple messages. A new session begins when a message 1 must be present, including after an earlier session has an error or message 4.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/dissectors/packet-edhoc.h